> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /prh/companies/search

> Search Finnish companies by name, location, business line, form or registration date

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/prh/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/prh/companies/search:
    post:
      tags:
        - /prh
      summary: /prh/companies/search
      description: >-
        Search Finnish companies by name, location, business line, form or
        registration date


        **Price:** 10 credits per 100 results
      operationId: __api_prh_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrhCompanySearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PrhCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PrhCompanySearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        name:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        post_code:
          anyOf:
            - type: string
            - type: 'null'
        company_form:
          anyOf:
            - $ref: '#/components/schemas/PrhCompanyForm'
            - type: 'null'
        main_business_line:
          anyOf:
            - type: string
            - type: 'null'
        business_id_registration_start:
          anyOf:
            - type: string
            - type: 'null'
        business_id_registration_end:
          anyOf:
            - type: string
            - type: 'null'
        registration_date_start:
          anyOf:
            - type: string
            - type: 'null'
        registration_date_end:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    PrhCompany:
      properties:
        '@type':
          type: string
          default: PrhCompany
        business_id:
          anyOf:
            - $ref: '#/components/schemas/PrhBusinessId'
            - type: 'null'
        eu_id:
          anyOf:
            - $ref: '#/components/schemas/PrhEuId'
            - type: 'null'
        names:
          items:
            $ref: '#/components/schemas/PrhName'
          type: array
          default: []
        main_business_line:
          anyOf:
            - $ref: '#/components/schemas/PrhMainBusinessLine'
            - type: 'null'
        website:
          anyOf:
            - $ref: '#/components/schemas/PrhWebsite'
            - type: 'null'
        company_forms:
          items:
            $ref: '#/components/schemas/PrhCompanyFormItem'
          type: array
          default: []
        company_situations:
          items:
            $ref: '#/components/schemas/PrhCompanySituation'
          type: array
          default: []
        registered_entries:
          items:
            $ref: '#/components/schemas/PrhRegisteredEntry'
          type: array
          default: []
        addresses:
          items:
            $ref: '#/components/schemas/PrhAddress'
          type: array
          default: []
        public_notices:
          items:
            $ref: '#/components/schemas/PrhPublicNotice'
          type: array
          default: []
        trade_register_status:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        last_modified:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PrhCompanyForm:
      type: string
      enum:
        - AOY
        - ASH
        - ASY
        - AY
        - AYH
        - ETS
        - ETY
        - SCE
        - SCP
        - HY
        - KOY
        - KVJ
        - KVY
        - KY
        - OK
        - OP
        - OY
        - OYJ
        - SE
        - SL
        - SP
        - SÄÄ
        - TYH
        - VOJ
        - VOY
        - VY
        - VALTLL
    PrhBusinessId:
      properties:
        '@type':
          type: string
          default: PrhBusinessId
        value:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhEuId:
      properties:
        '@type':
          type: string
          default: PrhEuId
        value:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhName:
      properties:
        '@type':
          type: string
          default: PrhName
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: integer
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhMainBusinessLine:
      properties:
        '@type':
          type: string
          default: PrhMainBusinessLine
        type:
          anyOf:
            - type: string
            - type: 'null'
        type_code_set:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            $ref: '#/components/schemas/PrhLocalizedText'
          type: array
          default: []
      type: object
    PrhWebsite:
      properties:
        '@type':
          type: string
          default: PrhWebsite
        url:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhCompanyFormItem:
      properties:
        '@type':
          type: string
          default: PrhCompanyFormItem
        type:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            $ref: '#/components/schemas/PrhLocalizedText'
          type: array
          default: []
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: integer
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhCompanySituation:
      properties:
        '@type':
          type: string
          default: PrhCompanySituation
        type:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            $ref: '#/components/schemas/PrhLocalizedText'
          type: array
          default: []
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhRegisteredEntry:
      properties:
        '@type':
          type: string
          default: PrhRegisteredEntry
        type:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            $ref: '#/components/schemas/PrhLocalizedText'
          type: array
          default: []
        status:
          anyOf:
            - type: string
            - type: 'null'
        register_code:
          anyOf:
            - type: string
            - type: 'null'
        authority:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhAddress:
      properties:
        '@type':
          type: string
          default: PrhAddress
        type:
          anyOf:
            - type: integer
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        building_number:
          anyOf:
            - type: string
            - type: 'null'
        entrance:
          anyOf:
            - type: string
            - type: 'null'
        apartment_number:
          anyOf:
            - type: string
            - type: 'null'
        apartment_id_suffix:
          anyOf:
            - type: string
            - type: 'null'
        post_code:
          anyOf:
            - type: string
            - type: 'null'
        post_office_box:
          anyOf:
            - type: string
            - type: 'null'
        post_offices:
          items:
            $ref: '#/components/schemas/PrhPostOffice'
          type: array
          default: []
        co:
          anyOf:
            - type: string
            - type: 'null'
        free_address_line:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhPublicNotice:
      properties:
        '@type':
          type: string
          default: PrhPublicNotice
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        record_number:
          anyOf:
            - type: string
            - type: 'null'
        type_of_registration:
          anyOf:
            - type: string
            - type: 'null'
        entry_codes:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    PrhLocalizedText:
      properties:
        '@type':
          type: string
          default: PrhLocalizedText
        language_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PrhPostOffice:
      properties:
        '@type':
          type: string
          default: PrhPostOffice
        city:
          anyOf:
            - type: string
            - type: 'null'
        language_code:
          anyOf:
            - type: string
            - type: 'null'
        municipality_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````